Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"account_number": "0123456789",
"currency": "NGN",
"available_balance": 8000,
"cleared_balance": 1000000,
"uncleared_balance": 0,
"hold_balance": 1000,
"minimum_balance": 100000,
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "<string>"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Accounts
Get Account Balances
Get the balance details of a specified account
GET
/
accounts
/
{account_number}
/
balances
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"account_number": "0123456789",
"currency": "NGN",
"available_balance": 8000,
"cleared_balance": 1000000,
"uncleared_balance": 0,
"hold_balance": 1000,
"minimum_balance": 100000,
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "<string>"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
Customer's account number in NUBAN format